## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate predicates

Name:           rust-%{crate}
Version:        2.1.1
Release:        %autorelease
Summary:        Implementation of boolean-valued predicate functions

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/predicates
Source:         %{crates_source}
# Initial patched metadata
# * drop color features with missing dependencies (yansi, concolor)
Patch0:         predicates-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Implementation of boolean-valued predicate functions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+diff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diff-devel %{_description}

This package contains library source intended for building other packages which
use the "diff" feature of the "%{crate}" crate.

%files       -n %{name}+diff-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+difflib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+difflib-devel %{_description}

This package contains library source intended for building other packages which
use the "difflib" feature of the "%{crate}" crate.

%files       -n %{name}+difflib-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+float-cmp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+float-cmp-devel %{_description}

This package contains library source intended for building other packages which
use the "float-cmp" feature of the "%{crate}" crate.

%files       -n %{name}+float-cmp-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+normalize-line-endings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+normalize-line-endings-devel %{_description}

This package contains library source intended for building other packages which
use the "normalize-line-endings" feature of the "%{crate}" crate.

%files       -n %{name}+normalize-line-endings-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip one broken doctest
%cargo_test -- -- --skip path::fc::PredicateFileContentExt::from_file_path
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 27 2022 Fabio Valentini <decathorpe@gmail.com> 2.1.1-1
- Update to version 2.1.1; Fixes RHBZ#2039548

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Fabio Valentini <decathorpe@gmail.com> 2.1.0-1
- Update to version 2.1.0; Fixes RHBZ#2011986

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> 2.0.2-1
- Update to version 2.0.2; Fixes RHBZ#1978962

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 29 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.8-1
- Update to version 1.0.8.
- Fixes RHBZ#1954841

* Thu Mar 04 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.7-1
- Update to version 1.0.7.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.6-1
- Update to version 1.0.6.
- Fixes RHBZ#1911389

* Mon Oct 26 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.5-1
- Update to version 1.0.5.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Mar 23 18:34:35 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4

* Wed Mar 04 13:00:16 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.3-1
- Initial package

